﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Web.UI.WebControls.Shared;
using Syncfusion.Grouping;
using System.Data.SqlServerCe;
using System.IO;
using System.ComponentModel;

namespace TestGridData
{
    public partial class _Default : System.Web.UI.Page
    {
        SqlCeConnection myConnection = null;
        SqlCeDataAdapter myDataAdapter = null;
        DataSet myDataSet = null;
        string ConnectionString = @"Data Source=|DataDirectory|\Northwind.sdf";

        string path = HttpContext.Current.Server.MapPath("~/StateMaintain.txt");
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                load_TestData();
            }
        }

        protected void btnSave_Click(object sender, EventArgs e)
        {
            string text = "";
            StreamWriter file = new StreamWriter(path);

            //Perform Grouped Column
            for (int i = 0; i < this.ggc.TableDescriptor.GroupedColumns.Count; i++)
            {
                text += this.ggc.TableDescriptor.GroupedColumns[i].Name + ",";
            }
            text += "\r\n_____________\r\n";

            //Perform Grouped Column
            for (int i = 0; i < this.ggc.TableDescriptor.SortedColumns.Count; i++)
            {
                text += this.ggc.TableDescriptor.SortedColumns[i].Name + ",";
                text += this.ggc.TableDescriptor.SortedColumns[i].SortDirection+ "/";
            }
            text += "\r\n_____________\r\n";

            //Perform Filtered Column
            for (int i = 0; i < this.ggc.TableDescriptor.RecordFilters.Count; i++)
            {
                for (int j = 0; j < this.ggc.TableDescriptor.RecordFilters[i].Conditions.Count; j++)
                {
                    text += this.ggc.TableDescriptor.RecordFilters[i].MappingName + ",";
                    text += this.ggc.TableDescriptor.RecordFilters[i].Conditions[j].CompareOperator + ",";
                    text += this.ggc.TableDescriptor.RecordFilters[i].Conditions[j].CompareText + ",";
                    text += this.ggc.TableDescriptor.RecordFilters[i].Conditions[j].CompareValue + "/";
                }
            }
            file.WriteLine(text);
            file.Close();
        }

        protected void btnLoad_Click(object sender, EventArgs e)
        {
            StreamReader file = new StreamReader(path);
            string text = file.ReadLine();
            string[] lines = File.ReadAllLines(path);

            for (int i = 0; i < 3; i++)
            {
                if (i == 0)
                {
                    string[] groupValues = lines[0].Split(',');
                    for (int j = 0; j < groupValues.Length; j++)
                    {
                        if (!this.ggc.TableDescriptor.GroupedColumns.Contains(groupValues[j]) && !(groupValues[j] == ""))
                            this.ggc.TableDescriptor.GroupedColumns.Add(groupValues[j]);
                    }
                }

                if (i == 1)
                {
                    string[] sortColumns = lines[2].Split('/');
                    for (int s = 0; s < sortColumns.Length; s++)
                    {
                        string[] sortValues = sortColumns[s].Split(',');
                        if (!(sortValues[0] == ""))
                        {
                             ListSortDirection initDirection = ListSortDirection.Ascending;
                             if (sortValues[1] == "Ascending")
                                  initDirection = ListSortDirection.Ascending;
                             else
                                  initDirection = ListSortDirection.Descending;
                             SortColumnDescriptor sortDescriptor = new SortColumnDescriptor(sortValues[0], initDirection);
                             if (!this.ggc.TableDescriptor.SortedColumns.Contains(sortDescriptor))
                                  this.ggc.TableDescriptor.SortedColumns.Add(sortDescriptor);
                        
                        }
                    }                    
                }

                if (i == 2)
                {
                    string[] filterColumns = lines[4].Split('/');
                    for (int s = 0; s < filterColumns.Length; s++)
                    {
                        string[] filterValues = filterColumns[s].Split(',');
                        if (!(filterValues[0] == ""))
                        {
                            FilterCondition condition = new FilterCondition();
                            switch(filterValues[1])
                            {
                                case "Custom":
                                    condition.CompareOperator = FilterCompareOperator.Custom;
                                    break;
                                case "Equals":
                                    condition.CompareOperator = FilterCompareOperator.Equals;
                                    break;
                                case "LessThan":
                                    condition.CompareOperator = FilterCompareOperator.LessThan;
                                    break;
                                case "GreaterThan":
                                    condition.CompareOperator = FilterCompareOperator.GreaterThan;
                                    break;
                                case "GreaterThanOrEqualTo":
                                    condition.CompareOperator = FilterCompareOperator.GreaterThanOrEqualTo;
                                    break;
                                case "LessThanOrEqualTo":
                                    condition.CompareOperator = FilterCompareOperator.LessThanOrEqualTo;
                                    break;
                                default:
                                    break;
                            }
                            condition.CompareText = filterValues[2];
                            condition.CompareValue = filterValues[3];
                            RecordFilterDescriptor rfd = new RecordFilterDescriptor(filterValues[0], condition);
                            if (!this.ggc.TableDescriptor.RecordFilters.Contains(rfd))
                                this.ggc.TableDescriptor.RecordFilters.Add(rfd);
                        }
                    }
                }
            }                  
            file.Close();
        }

        protected void load_TestData()
        {
            AppDomain.CurrentDomain.SetData("SQLServerCompactEditionUnderWebHosting", true);
            try
            {
                myConnection = new SqlCeConnection(ConnectionString);
                myConnection.Open();
                myDataAdapter = new SqlCeDataAdapter("SELECT [Employee ID], Title, [First Name], Address, Country FROM Employees", myConnection);
                myDataSet = new DataSet();
                myDataAdapter.Fill(myDataSet);
                DataTable myDataTable = myDataSet.Tables[0];
                myConnection.Close();
                this.ggc.DataSource = myDataTable;
            }
            catch (SqlCeException ex)
            {
                throw ex;
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }
    }
}
