﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Web.UI.WebControls.Shared;
using Syncfusion.Grouping;
using System.Data;

namespace TestGridData
{
    public partial class GridSample : System.Web.UI.Page
    {
        long ibtn = 0;

        protected void Page_Load(object sender, EventArgs e)
        {
            ggc.QueryCellStyleInfo += new Syncfusion.Web.UI.WebControls.Grid.Grouping.GridTableCellStyleInfoEventHandler(ggc_QueryCellStyleInfo);
            if (!IsPostBack)
            {
                //load_TestData();
            }
        }

        void ggc_QueryCellStyleInfo(object sender, Syncfusion.Web.UI.WebControls.Grid.Grouping.GridTableCellStyleInfoEventArgs e)
        {
            if (e.TableCellIdentity.TableCellType == GridTableCellType.RecordFieldCell || e.TableCellIdentity.TableCellType == GridTableCellType.AlternateRecordFieldCell)
            {
                if (e.TableCellIdentity.Column.MappingName.ToUpper().Contains("COL1")
                    || e.TableCellIdentity.Column.MappingName.ToUpper().Contains("COL2")
                    || e.TableCellIdentity.Column.MappingName.ToUpper().Contains("COL3"))
                {
                    //if (e.Style.CellValue.ToString() == "1")
                    if (e.Style.CellValue.ToString().Contains("9"))
                    //||  e.Style.CellValue.ToString().Contains("8") )
                    {
                        Button gridbtn = new Button();
                        ibtn++;
                        //gridbtn.Text = "b" + ibtn;
                        gridbtn.Text = "b" + e.Style.CellValue.ToString();
                        gridbtn.Click += new EventHandler(gridbtn_Click);

                        TemplateClass mytemp = new TemplateClass(gridbtn);
                        e.TableCellIdentity.Column.ItemTemplate = mytemp;
                    }
                    else
                        e.TableCellIdentity.Column.ItemTemplate = null;
                }
            }
        }

        void gridbtn_Click(object sender, EventArgs e)
        {
            Button btn = (Button)sender;
            Record rec = this.ggc.Table.CurrentRecord;
            Label1.Text = "clicked in row: " + rec.GetValue("Col0") + ", Button: " + btn.Text;
            UpdatePanel_Label1.Update();
        }

        public class TemplateClass : ITemplate
        {
            private Control m_ctrlChildControl = null;

            public TemplateClass(Control ctrlChildControl)
            {
                m_ctrlChildControl = ctrlChildControl;
            }

            public void InstantiateIn(Control container)
            {
                container.Controls.Add(m_ctrlChildControl);
            }
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            load_TestData();
        }

        protected void load_TestData()
        {
            ibtn = 0;
            DataTable dt = new DataTable();
            dt.ReadXml("E:\\Support\\ASP.NET\\ForumIncidents\\125408_GridGroupingControl\\NewIncident_dcb0e0b\\TestGridData\\TestGridData\\App_Data\\TestData_seq.xml");
            //dt.ReadXml("C:\\My_Data\\VS_2010\\Test_Asp.Net\\Test_GridButton\\TestGridData\\App_Data\\TestData_seq.xml");
            ggc.DataSource = dt;
            ggc.DataBind();
            ggc.Visible = true;
           // GridPager1.Visible = true;

            UpdatePanel_ggc.Update();
        }
    }
}